#pragma once

#include <string>

namespace jlog
{
    /// Writes an input string directly to standard output
    /// @note Does not append a newline to the message.
    void log_to_console(const std::string &message);

    /// Writes an input string directly to the specified destination logfile
    /// @note Does not append a newline to the message.
    void log_to_file(const std::string &filename, const std::string &message);
}